Benutzer mit unsicheren Browsern warnen

Hi!

nach Durchsicht meiner Serverlogfiles ist mir aufgefallen, dass noch immer eine recht große Anzahl an Besuchern mit veralteten Browsern durchs Netz surfen.  Um die Benutzer dafür zu sensibilisieren habe ich daher eine kleine und mehr oder minder unauffällige Warnmeldung für Benutzer eines IE6 und älter implementiert.

Benutzer_alter_browser_warnen

Eine entsprechende Meldung kann man recht einfach auf seiner Webseite platzieren. Es ist dafür nur notwendig direkt nach dem <body> – tag folgenden Code einzufügen:

Mir ist bewußt, dass ich damit nur Benutzer von alten IEs anspreche und veraltete Opera, Firefox oder gar Netscape Nutzer nicht warne – eine entsprechend Umfängliche Warnung hätte jedoch einen deutlich aufwändigeren Code zur Folge und laut meinem Logfile sind Benutzer dieser Browser fast immer up2date…

Da ich in der Warnmeldung auch auf diesen Beitrag verlinke noch ein paar erklärende Worte warum es so wichtig ist einen aktuellen Browser zu Benutzen. Aktuelle Browser  unterstützen die gängigen Webstandards um welten besser als es die alten Browser getan haben (da spricht der Webmaster in mir). Selbstverständlich haben ältere Browser auch mit Sicherheitsproblemen zu kämpfen die abhängig von der Version durch die Hersteller auch nicht mehr gefixed werden. Bei vielen alten Browsern kann man sich durch reines aufrufen einer infizierten Webseite einen Virus bzw. einen Trojaner einfangen. Dies geschieht vollständig ohne das zutun des Benutzers und kann sogar auf sonst vertauenswürdigen Seiten durch manipulation selbiger (z. B. durch Werbenetzwerke) geschehen. Die Ausrede „ich passe auf“ zählt hier also absolut nicht. Ach ja, die ganzen neuen Browser können auch Tab-Browsing und jeder der das mal hatte will es nicht mehr her geben.

Sollte also jemand diesen Beitrag hier mit einem alten Browser (z. B. IE6) lesen – schnell updaten! 🙂 Hat man selber nicht die Möglichkeit, was in Unternehmen üblich ist, dann bitte den Administrator darauf hinweisen und ihn bitten den Browser auf eine sichere Version zu heben.

P. S. Ja, es ist ausdrücklich erlaubt den Code von oben zu kopieren und auf der eigenen Seite einzusetzen!

5 Gedanken zu „Benutzer mit unsicheren Browsern warnen

  1. johannes Beitragsautor

    Hi,
    ich bin kein Freund von externen Javascript Dateien die ich nicht kontrollieren kann. Daher mache ich das lieber lokal. Zudem funktioniert meine Seite auch mit alten Browsern (sogar mit screen readern).
    Viele Grüße

  2. Micha

    Ich bin der Meinung das auch in Unternehmen immer die aktuellste Browserversionen eingesetzt werden sollen, denn sonst kommt es immer wieder zu Problemen. Das ist jedesmal meine Erfahrung.
    Micha

  3. johannes Beitragsautor

    Gerade in Unternehmen sollte das der Fall sein zumal jeder richtige Admin ein System zur Softwareverteilung im Einsatz hat und somit ein update recht einfach durchführen kann. Die Erfahrung zeigt aber, dass insbesondere große Unternehmen nur sehr zögerlich ein update von Browsern durchführen um evtl. schlecht programmierte Intranetseiten weiterhin problemlos öffnen zu können (auch wenn das Problem damit nur hinausgeschoben wird…).

  4. Mecker

    Man kann vom IE halten was man will, aber warum soll ein IE6 ohne weitere Betrachtung der installierten Hotfixes unsicherer sein als andere Browser?

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.